====================================
Downloading and Installation
====================================

.. _github:   https://github.com/newville/wxmplot
.. _PyPI:     https://pypi.python.org/pypi/wxmplot


Prerequisites
~~~~~~~~~~~~~~~

The current version of wxmplot is |release|, released in March, 2022.

The wxmplot package requires Python3.6 or higher, wxPython 4.0.3 or higher,
matplotlib 3.0 or higher, and numpy 1.12 or higher.  All of
these are readily available from `pip` or on `conda` channels.


Installation
~~~~~~~~~~~~~

The latest version (|release|) is available from `PyPI`_ or `github`_, and
the package can be installed with::

   pip install wxmplot


Development Version
~~~~~~~~~~~~~~~~~~~~~~~~

To get the latest development version, use::

   git clone https://github.com/newville/wxmplot.git

Installation from Source
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

wxmplot is a pure python module, so installation on all platforms can use
the source kit and a standard installation using::

   pip install .


License
~~~~~~~~~~~~~

The wxmplot code is distribution under the following license:

..  literalinclude:: ../LICENSE
